| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfBgDAPPS Struct Reference
Subscriber Features

Name Permanent Presentation Status. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
enum unsp__SubscriberPPS * | subPpsIntraBbgCalls
| Allow Calling Party Name for internal calls. More...
struct unsp__BGDisplayOptions * | CallingIntraBGDisplay
| Display Options for Calling Party Name for internal calls. More...
struct unsp__BGDisplayOptionsNonIntraBg * | CallingNonIntraBGDisplay
| Display Options for Calling Party Name for external calls. More...
struct unsp__BGDisplayOptions * | ConnectedIntraBGDisplay
| Display Options for Connected Party Name for internal calls. More...
struct unsp__BGDisplayOptionsNonIntraBg * | ConnectedExternalDisplay
| Display Option for Connected Party Name for external calls. More...
enum unsp__SubscriberPPS * | subPpsCallingExternalCalls
| Allow Calling Party Name for external calls. More...
enum unsp__SubscriberPPS * | subPpsConnectedInternalCalls
| Allow Connected Party Name for internal calls. More...
enum unsp__SubscriberPPS * | subPpsConnectedExternalCalls
| Allow Connected Party Name for external calls. More...
struct unsp__CfBgDAPPS_locPres * | Local
| Local Presence flags. More...

## Detailed Description

Name Permanent Presentation Status.

The Name Permanent Presentation Status feature describes a subscriber's default Name Delivery behaviour in the Number and Name Delivery context. When the subscriber originates a call, it is used to determine whether or not presentation of the name of their identity to the called party is restricted. When the subscriber is called, it is used to determine whether or not presentation of the name of their identity to the calling party is restricted. This service also allows the administrator to prioritize which Name should be used (i.e. Subscriber Name, BG Name or Department Name) for different types of call.
MP2 command: CFBgDAPPS [Attributes]

## Member Data Documentation

## ◆ CallingIntraBGDisplay

struct unsp__BGDisplayOptions* unsp__CfBgDAPPS::CallingIntraBGDisplay

Display Options for Calling Party Name for internal calls.

required: false

## ◆ CallingNonIntraBGDisplay

struct unsp__BGDisplayOptionsNonIntraBg* unsp__CfBgDAPPS::CallingNonIntraBGDisplay

Display Options for Calling Party Name for external calls.

required: true

## ◆ ConnectedExternalDisplay

struct unsp__BGDisplayOptionsNonIntraBg* unsp__CfBgDAPPS::ConnectedExternalDisplay

Display Option for Connected Party Name for external calls.

required: true

## ◆ ConnectedIntraBGDisplay

struct unsp__BGDisplayOptions* unsp__CfBgDAPPS::ConnectedIntraBGDisplay

Display Options for Connected Party Name for internal calls.

required: true

## ◆ Local

struct unsp__CfBgDAPPS_locPres* unsp__CfBgDAPPS::Local

Local Presence flags.

## ◆ subPpsCallingExternalCalls

enum unsp__SubscriberPPS* unsp__CfBgDAPPS::subPpsCallingExternalCalls

Allow Calling Party Name for external calls.

required: true
default value[range]: Public

## ◆ subPpsConnectedExternalCalls

enum unsp__SubscriberPPS* unsp__CfBgDAPPS::subPpsConnectedExternalCalls

Allow Connected Party Name for external calls.

required: true
default value[range]: Public

## ◆ subPpsConnectedInternalCalls

enum unsp__SubscriberPPS* unsp__CfBgDAPPS::subPpsConnectedInternalCalls

Allow Connected Party Name for internal calls.

required: true
default value[range]: Public

## ◆ subPpsIntraBbgCalls

enum unsp__SubscriberPPS* unsp__CfBgDAPPS::subPpsIntraBbgCalls

Allow Calling Party Name for internal calls.

required: false
default value[range]: Public

## ◆ Subscribed

enum unsp__Subscribed unsp__CfBgDAPPS::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h